package org.dspace.app.services;

import java.util.Calendar;

/**
 * University of Edinburgh
 * User: cknowles
 * 21-Mar-2006 15:51:37
 */
public class AddItemResponse implements java.io.Serializable
{
    private Integer dspaceId;
    private String originalId;
    private Calendar timestamp;
    private String message;

    public AddItemResponse()
    {
    }

    public AddItemResponse(java.lang.Integer dspaceId, java.lang.String originalId, java.util.Calendar timestamp, java.lang.String error)
    {
        this.dspaceId = dspaceId;
        this.originalId = originalId;
        this.timestamp = timestamp;
        this.message = error;
    }


    /**
     * Gets the dspaceId value for this AddItemResponse.
     *
     * @return dspaceId
     */
    public java.lang.Integer getDspaceId()
    {
        return dspaceId;
    }


    /**
     * Sets the dspaceId value for this AddItemResponse.
     *
     * @param dspaceId
     */
    public void setDspaceId(java.lang.Integer dspaceId)
    {
        this.dspaceId = dspaceId;
    }


    /**
     * Gets the originalId value for this AddItemResponse.
     *
     * @return originalId
     */
    public java.lang.String getOriginalId()
    {
        return originalId;
    }


    /**
     * Sets the originalId value for this AddItemResponse.
     *
     * @param originalId
     */
    public void setOriginalId(java.lang.String originalId)
    {
        this.originalId = originalId;
    }


    /**
     * Gets the timestamp value for this AddItemResponse.
     *
     * @return timestamp
     */
    public java.util.Calendar getTimestamp()
    {
        return timestamp;
    }


    /**
     * Sets the timestamp value for this AddItemResponse.
     *
     * @param timestamp
     */
    public void setTimestamp(java.util.Calendar timestamp)
    {
        this.timestamp = timestamp;
    }


    /**
     * Gets the message value for this AddItemResponse.
     *
     * @return message
     */
    public java.lang.String getMessage()
    {
        return message;
    }


    /**
     * Sets the message value for this AddItemResponse.
     *
     * @param message
     */
    public void setMessage(java.lang.String message)
    {
        this.message = message;
    }

    private java.lang.Object __equalsCalc = null;

    public synchronized boolean equals(java.lang.Object obj)
    {
        if (!(obj instanceof AddItemResponse)) return false;
        AddItemResponse other = (AddItemResponse) obj;
        if (obj == null) return false;
        if (this == obj) return true;
        if (__equalsCalc != null)
        {
            return (__equalsCalc == obj);
        }
        __equalsCalc = obj;
        boolean _equals;
        _equals = true &&
                ((this.dspaceId == null && other.getDspaceId() == null) ||
                        (this.dspaceId != null &&
                                this.dspaceId.equals(other.getDspaceId()))) &&
                ((this.originalId == null && other.getOriginalId() == null) ||
                        (this.originalId != null &&
                                this.originalId.equals(other.getOriginalId()))) &&
                ((this.timestamp == null && other.getTimestamp() == null) ||
                        (this.timestamp != null &&
                                this.timestamp.equals(other.getTimestamp()))) &&
                ((this.message == null && other.getMessage() == null) ||
                        (this.message != null &&
                                this.message.equals(other.getMessage())));
        __equalsCalc = null;
        return _equals;
    }

    private boolean __hashCodeCalc = false;

    public synchronized int hashCode()
    {
        if (__hashCodeCalc)
        {
            return 0;
        }
        __hashCodeCalc = true;
        int _hashCode = 1;
        if (getDspaceId() != null)
        {
            _hashCode += getDspaceId().hashCode();
        }
        if (getOriginalId() != null)
        {
            _hashCode += getOriginalId().hashCode();
        }
        if (getTimestamp() != null)
        {
            _hashCode += getTimestamp().hashCode();
        }
        if (getMessage() != null)
        {
            _hashCode += getMessage().hashCode();
        }
        __hashCodeCalc = false;
        return _hashCode;
    }

    // Type metadata
    private static org.apache.axis.description.TypeDesc typeDesc =
            new org.apache.axis.description.TypeDesc(AddItemResponse.class, true);

    static
    {
        typeDesc.setXmlType(new javax.xml.namespace.QName("urn:AddItem", "AddItemResponse"));
        org.apache.axis.description.ElementDesc elemField = new org.apache.axis.description.ElementDesc();
        elemField.setFieldName("dspaceId");
        elemField.setXmlName(new javax.xml.namespace.QName("", "dspaceId"));
        elemField.setXmlType(new javax.xml.namespace.QName("http://schemas.xmlsoap.org/soap/encoding/", "integer"));
        elemField.setNillable(false);
        typeDesc.addFieldDesc(elemField);
        elemField = new org.apache.axis.description.ElementDesc();
        elemField.setFieldName("originalId");
        elemField.setXmlName(new javax.xml.namespace.QName("", "originalId"));
        elemField.setXmlType(new javax.xml.namespace.QName("http://schemas.xmlsoap.org/soap/encoding/", "string"));
        elemField.setNillable(false);
        typeDesc.addFieldDesc(elemField);
        elemField = new org.apache.axis.description.ElementDesc();
        elemField.setFieldName("timestamp");
        elemField.setXmlName(new javax.xml.namespace.QName("", "timestamp"));
        elemField.setXmlType(new javax.xml.namespace.QName("http://www.w3.org/2001/XMLSchema", "dateTime"));
        elemField.setNillable(false);
        typeDesc.addFieldDesc(elemField);
        elemField = new org.apache.axis.description.ElementDesc();
        elemField.setFieldName("message");
        elemField.setXmlName(new javax.xml.namespace.QName("", "message"));
        elemField.setXmlType(new javax.xml.namespace.QName("http://schemas.xmlsoap.org/soap/encoding/", "string"));
        elemField.setNillable(false);
        typeDesc.addFieldDesc(elemField);
    }

    /**
     * Return type metadata object
     */
    public static org.apache.axis.description.TypeDesc getTypeDesc()
    {
        return typeDesc;
    }

    /**
     * Get Custom Serializer
     */
    public static org.apache.axis.encoding.Serializer getSerializer(
            java.lang.String mechType,
            java.lang.Class _javaType,
            javax.xml.namespace.QName _xmlType)
    {
        return
                new org.apache.axis.encoding.ser.BeanSerializer(
                        _javaType, _xmlType, typeDesc);
    }

    /**
     * Get Custom Deserializer
     */
    public static org.apache.axis.encoding.Deserializer getDeserializer(
            java.lang.String mechType,
            java.lang.Class _javaType,
            javax.xml.namespace.QName _xmlType)
    {
        return
                new org.apache.axis.encoding.ser.BeanDeserializer(
                        _javaType, _xmlType, typeDesc);
    }
}
